<?php

// Mark Lin
// Setting for sadd (super add plugin)


// Initialize this plugin
function plugin_init_sadd() {
	global $plugin_hooks;


	// Start to use hooks that cacti's plug-in architecture provides.
	$plugin_hooks['config_arrays']['sadd'] = 'sadd_config_arrays';

	// Draw the navigation under the tab
	$plugin_hooks['draw_navigation_text']['sadd'] = 'sadd_draw_navigation_text';
}

// config array
function sadd_config_arrays() {
	// Pull in some global variables to config ourself into cacti
	global $user_auth_realms, $user_auth_realm_filenames, $menu, $messages, $thold_menu;

  $menu2 = array (); 
  foreach ($menu as $temp => $temp2 ) { 
    $menu2[$temp] = $temp2;
    if ($temp == 'Management') {
			$menu2['Super Add']['plugins/sadd/sadd.php'] = "Super Add Graphs";
			$menu2['Super Add']['plugins/sadd/sadd_devices.php'] = "Super Add Devices";
			$menu2['Super Add']['plugins/sadd/sadd_data_inputs.php'] = "Super Add Data Inputs";
		}
	}
	$menu = $menu2;

	// Gotta setup authentication realm so user can access.
	// realm 5 = update graph. So anyone who can add graph can use this plugin
	$user_auth_realm_filenames['sadd.php'] = 5;
	$user_auth_realm_filenames['sadd_devices.php'] = 5;
	$user_auth_realm_filenames['sadd_data_inputs.php'] = 5;

}


// Build the navigation array for cacti
function sadd_draw_navigation_text ($nav) {
	$nav["sadd.php:"] = array("title" => "Super Add", "mapping" => "index.php:", "url" => "sadd.php", "level" => "1");
	$nav["sadd.php:actions"] = array("title" => "Super Add", "mapping" => "index.php:", "url" => "sadd.php", "level" => "1");
	$nav["sadd.php:save"] = array("title" => "Super Add", "mapping" => "index.php:", "url" => "sadd.php", "level" => "1");

	$nav["sadd_devices.php:"] = array("title" => "Super Add", "mapping" => "index.php:", "url" => "sadd_devices.php", "level" => "1");
	$nav["sadd_devices.php:ctions"] = array("title" => "Super Add", "mapping" => "index.php:", "url" => "sadd_devices.php", "level" => "1");
	$nav["sadd_devices.php:save"] = array("title" => "Super Add", "mapping" => "index.php:", "url" => "sadd_devices.php", "level" => "1");

	$nav["sadd_data_inputs.php:"] = array("title" => "Super Add", "mapping" => "index.php:", "url" => "sadd_data_inputs.php", "level" => "1");
	$nav["sadd_data_inputs.php:ctions"] = array("title" => "Super Add", "mapping" => "index.php:", "url" => "sadd_data_inputs.php", "level" => "1");
	$nav["sadd_data_inputs.php:save"] = array("title" => "Super Add", "mapping" => "index.php:", "url" => "sadd_data_inputs.php", "level" => "1");

	return $nav;
}

?>
