<?php
// Mark Lin
// Quickly add bunch of data source
//

chdir('../../');
include_once('./include/auth.php');

include($config["include_path"] . '/top_header.php');


// fields for adding the data inputs
$fields = array();


// output buffer
$o = '';

// Form actions
$action = (isset($_REQUEST['action']))?$_REQUEST['action']:"";


if ( $action == 'save' ) {

	// Let's set some default values
	// Always 0
	$save["id"] = 0;
	// data input id that this fields arrociates to
	$save["data_input_id"] = $_REQUEST['data_input'];
	// List it's input or output
	$save["input_output"] = 'out';
	// Update rrd, YES!
	$save["update_rra"] = 'on';
	// Sequence.  It doesn't matter when type = output, sequence is ignored.
	$save["sequence"] = 0;
	// Not using snmp, setting to null
	$save["type_code"] = '';
	// Not input
	$save["regexp_match"] = '';
	// Not input
	$save["allow_nulls"] = '';

	// only if we have inputs
	if ( isset($_REQUEST['inputs']) ) {


		$inputs = preg_split("/[\r\n]+/",$_REQUEST['inputs']);

		foreach ( $inputs as $input ) {
			// If match here, user has specify both
			if ( preg_match("/(\S+):(.*)$/",$input,$matches) ) {
				$fields[$matches[1]] = $matches[2];
			}
			elseif ( preg_match("/^(\S+)$/",$input) ) {
				$fields[$input] = $input;
			}
		}

		// For each field, let's add them
		foreach ( $fields as $f_id => $f_value ) {
			$save['data_name'] = $f_id;
			$save['name'] = $f_value;

			// System generated hash
			$save["hash"] = get_hash_data_input($save["id"], "data_input_field");

			// If data name exist, then we can add it to the data input
			$o .= "Adding " .$save['data_name'] ." (" . $save['name'] . ")<br/>";
			//var_dump($save);
			$data_input_field_id = sql_save($save, "data_input_fields");
			if ( $data_input_field_id ) {
				$o .= "$f_id insert successfully. Id = $data_input_field_id<br/>\n";
			}
			else {
				$o .= $save['data_name'] ." failed. <br/>\n";
			}
		}
	}
}

// Show data input select
$data_inputs = db_fetch_assoc("select id,name from data_input order by name");

// Get the form going
echo "<form action='sadd_data_inputs.php' method='post'>";
html_start_box("<strong>Super Add Console *** Use with Extreme Caution ***</strong>" , "98%", $colors["header"], "2", "center", "");

// Header
html_header(array("Enter data inputs (one per line)<br/>For ex: 'mymetirc:my friend name' or just one name","Select Data Input Method"));

$textarea['method'] = 'textarea';
$textarea['textarea_rows'] = 10;
$textarea['textarea_cols'] = 40;
$textarea['value'] = "";

echo '<tr><td>';
draw_edit_control('inputs',$textarea);
echo '</td>';

$data_input_select = '<select name="data_input">';
// Data inputs
foreach ( $data_inputs as $data_input ) {
	$data_input_select .= "<option value='".$data_input['id']."'>".$data_input['name']."</option>\n";	
}
$data_input_select .= "</select>";

echo '<td>';
echo $data_input_select;
echo '</td></tr>';

html_end_box();

form_save_button("sadd_data_inputs.php", "create");

echo '</form>';

// display any output
if ( $o ) { 
  html_start_box("<strong>Result</strong>" , "98%", $colors["header"], "3", "center", "");
  // Display output buffer
  echo "<tr bgcolor='#" . $colors["header_panel"] . "'> 
    <td colspan='2'>
      $o  
    </td></tr>";
  html_end_box();
}

include($config["include_path"] . '/bottom_footer.php');
?>
